name: Suggestion
about: Trying to suggest something for SeaCogs? Use this.
title: "[Cog Name] "
labels: enhancement
ref: master
body:
  - type: markdown
    attributes:
      value: |
        Thank you for taking the time to suggest an enhancement!
  - type: input
    id: cog
    attributes:
      label: What cog is your feature request for?
      description: Specify the cog within the repository.
      placeholder: E.g., ModerationCog
    validations:
      required: true
  - type: textarea
    id: problem-description
    attributes:
      label: Is your feature request related to a problem? Please describe.
      placeholder: A clear and concise description of what the problem is.
    validations:
      required: true
  - type: textarea
    id: solution-description
    attributes:
      label: Describe the solution you'd like
      placeholder: A clear and concise description of what you want to happen.
    validations:
      required: true
  - type: textarea
    id: alternatives
    attributes:
      label: Describe alternatives you've considered
      placeholder: A clear and concise description of any alternative solutions or features you've considered.
    validations:
      required: false
  - type: textarea
    id: screenshots
    attributes:
      label: Screenshots
      description: If applicable, add screenshots to help explain your problem.
      placeholder: Paste image links here.
    validations:
      required: false
  - type: textarea
    id: additional-context
    attributes:
      label: Additional context
      description: Add any other context about the problem here.
      placeholder: Any extra information you think might be useful.
    validations:
      required: false
